%global with_python3 1

Name:           python-github
Version:        1.11.1
Release:        3%{?dist}
Summary:        Python library to work with the Github API

Group:          Development/Languages
License:        LGPLv3+
URL:            http://vincent-jacques.net/PyGithub
Source:         http://pypi.python.org/packages/source/P/PyGithub/PyGithub-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
A Python library implementing the full Github API v3.

%if 0%{?with_python3}
%package -n     python3-github
Summary:        Python library to work with the Github API
Group:          Development/Languages

%description -n python3-github
A Python library implementing the full Github API v3.
%endif # with_python3

%prep
%setup -q -n PyGithub-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python} setup.py build
mv build/lib/github/doc/ .
mv build/lib/github/COPYING .
mv build/lib/github/COPYING.LESSER .
mv build/lib/github/ReadMe.md .

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
# https://github.com/jacquev6/PyGithub/issues/149
#%{__python3} setup.py test
popd
%endif

%files
%doc doc COPYING COPYING.LESSER ReadMe.md
%{python_sitelib}/*
%exclude %{python_sitelib}/github/tests

%if 0%{?with_python3}
%files -n python3-github
%doc doc COPYING COPYING.LESSER ReadMe.md
%{python3_sitelib}/*
%exclude %{python3_sitelib}/github/tests
%endif

%changelog
* Tue Mar 19 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.11.1-3
- Specfile cleanup.
- Introduce python3 subpackage.

* Wed Feb 20 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.11.1-2
- updated according to the review rhbz#910565 c#4

* Tue Feb 12 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.11.1-1
- updated to the latest upstream

* Sun Feb 03 2013 Jiri Moskovcak <jmoskovc@redhat.com> - 1.10.0-1
- Initial package
